﻿namespace U2UC.WinUni.Behaviors
{
    using Windows.Foundation;
    using Windows.UI.Xaml;

    /// <summary>
    /// Extension methods for the FrameworkElement class.
    /// </summary>
    public static class FrameworkElementExtensions
    {
        /// <summary>
        /// Returns whether or not the content of the element is too wide to be displayed entirely.
        /// </summary>
        public static bool IsContentTooWide(this FrameworkElement element)
        {
            element.Measure(new Size(double.MaxValue, double.MaxValue));
            return element.DesiredSize.Width > (element.ActualWidth + 1);
        }
    }
}
